summaryrefslogtreecommitdiff
path: root/SpMV/baselines/cpu/run.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-06-02 15:29:25 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-06-02 15:29:25 +0200
commit39d1c972dcea37beca6e20be152a3da78143a7d3 (patch)
tree7ed0fbde0088a9d330da26db1f6890d903645529 /SpMV/baselines/cpu/run.sh
parentff9304370fdd94e9b7e4c4262c59ac734f1a28fd (diff)
port SpMV to dfatool; add benchmark scripts
Diffstat (limited to 'SpMV/baselines/cpu/run.sh')
-rwxr-xr-xSpMV/baselines/cpu/run.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/SpMV/baselines/cpu/run.sh b/SpMV/baselines/cpu/run.sh
new file mode 100755
index 0000000..a993cc0
--- /dev/null
+++ b/SpMV/baselines/cpu/run.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+HOST="$(hostname)"
+
+echo $HOST
+
+(
+
+echo "prim-benchmarks SpMV CPU (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# default threads: 4
+
+# input size depends on file -> strong scaling only
+
+make -B
+for i in $(seq 1 50); do
+ for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
+ OMP_NUM_THREADS=${nr_threads} timeout --foreground -k 1m 30m ./spmv -f ../../data/bcsstk30.mtx -v 0 || true
+ done
+done
+) | tee "${HOST}-explore.txt"